Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1101565 - Cannot approve hosts using REST API
Summary: Cannot approve hosts using REST API
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi
Version: 3.3.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: 3.5.0
Assignee: Yaniv Bronhaim
QA Contact: Jiri Belka
URL:
Whiteboard: infra
Depends On: 1149655 1149658
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-05-27 14:17 UTC by Amador Pahim
Modified: 2018-12-09 17:56 UTC (History)
12 users (show)

Fixed In Version: ovirt-3.5.0-alpha2
Doc Type: Bug Fix
Doc Text:
Hosts can now be approved via the REST API, as well as via the UI.
Clone Of:
Environment:
Last Closed: 2015-02-11 18:02:35 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 905693 None None None Never
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 27622 master MERGED api: Fix approve API to allow deploy with public key Never

Description Amador Pahim 2014-05-27 14:17:02 UTC
- Description of problem:

Using REST API, I'm not able to approve hosts. The log shows:

2014-05-27 11:04:54,700 INFO  [org.ovirt.engine.core.bll.InstallerMessages] (ajp-/127.0.0.1:8702-2) [32b48e64] Installation 192.168.25.73: Connected to host 192.168.25.73 with SSH key fingerprint: d8:34:9c:9a:46:68:a7:0a:e1:32:e6:12:dd:0e:b4:c8
2014-05-27 11:04:54,711 INFO  [org.ovirt.engine.core.dal.dbbroker.auditloghandling.AuditLogDirector] (ajp-/127.0.0.1:8702-2) [32b48e64] Correlation ID: 32b48e64, Call Stack: null, Custom Event ID: -1, Message: Installing Host t420s.pahim.org. Connected to host 192.168.25.73 with SSH key fingerprint: d8:34:9c:9a:46:68:a7:0a:e1:32:e6:12:dd:0e:b4:c8.
2014-05-27 11:04:54,712 ERROR [org.ovirt.engine.core.bll.VdsDeploy] (ajp-/127.0.0.1:8702-2) [32b48e64] Error during host 192.168.25.73 install: javax.naming.AuthenticationException: SSH authentication failure 'root@192.168.25.73', no password or key

The same host is approved if using Administration Portal.

- Version-Release number of selected component (if applicable):

rhevm-restapi-3.3.2-0.50.el6ev.noarch

- Steps to Reproduce:

Url: https://<rhevm>/api/hosts/<host_id>/approve
Body : <action/>
Mthod: Post
Output:400 Bad Request
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<action>
<status>
<state>failed</state>
</status>
<fault>
<reason>Operation Failed</reason>
<detail>[]</detail>
</fault>
</action>

- Additional info:

SDKs and rhevm-shell affected in consequence.

Comment 2 Jiri Belka 2014-11-10 13:09:26 UTC
ok, rhevm-backend-3.5.0-0.19.beta.el6ev.noarch & RHEV Hypervisor - 6.6 - 20141107.0.el6ev

Comment 4 errata-xmlrpc 2015-02-11 18:02:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.